import request from '@/utils/request'

// 查询数据调查-使用权人列表
export function listShyqr(query) {
  return request({
    url: '/home/homesteadshyqr/list',
    method: 'get',
    params: query
  })
}


// 查询数据调查-使用权人列表
export function getShyqrs(query) {
  return request({
    url: '/home/homesteadshyqr/getShyqrs',
    method: 'get',
    params: query
  })
}


// 导出数据调查-使用权人
export function exportShyqr(query) {
  return request({
    url: '/houseSurvey/shyqr/export',
    method: 'get',
    params: query
  })
}

// 新增数据调查-户主信息
export function shyqrConnectTask(data) {
  return request({
    url: '/houseSurvey/shyqr/connectTask',
    method: 'post',
    data: data
  })
}

// 查询数据调查-使用权人详细
export function getShyqr(id) {
  return request({
    url: '/houseSurvey/shyqr/get/' + id,
    method: 'get'
  })
}

// 新增数据调查-使用权人
export function addShyqr(data) {
  return request({
    url: '/home/homesteadshyqr/add',
    method: 'post',
    data: data
  })
}

// 修改数据调查-使用权人
export function updateShyqr(data) {
  return request({
    url: '/home/homesteadshyqr/edit',
    method: 'post',
    data: data
  })
}

// 删除数据调查-使用权人
export function delShyqr(id) {
  return request({
    url: '/home/homesteadshyqr/remove/' + id,
    method: 'get'
  })
}

// 设为户主-使用权人
export function setSyqrInfo(data) {
  return request({
    url: '/houseSurvey/shyqr/setSyqrInfo',
    method: 'post',
    data: data
  })
}

